=== modified file 'BRANCH.TODO'
--- BRANCH.TODO	2009-12-25 17:27:23 +0000
+++ BRANCH.TODO	2009-12-29 08:42:31 +0000
@@ -3,70 +3,3 @@
 # 
 #
 
-Related Bugs:
-=============
-
-.BASE, .THIS, .OTHER, .moved can't be added nor committed.
-https://bugs.edge.launchpad.net/bzr/+bug/414589
-
-More conflict types should be handled by --auto (and the option
-added).
-https://bugs.edge.launchpad.net/bzr/+bug/344013
-https://bugs.edge.launchpad.net/bzr/+bug/389396
-
-https://bugs.edge.launchpad.net/bzr/+bug/236724
-https://bugs.edge.launchpad.net/bzr/+bug/228506
-https://bugs.edge.launchpad.net/bzr/+bug/113809
-https://bugs.edge.launchpad.net/bzr/+bug/322767
-https://bugs.edge.launchpad.net/bzr/+bug/416903
-https://bugs.edge.launchpad.net/bzr/+bug/355964
-
-Implement --keep-mine, --take-theirs
-https://bugs.edge.launchpad.net/bzr/+bug/257297
-https://bugs.edge.launchpad.net/bzr/+bug/232512
-
-https://bugs.edge.launchpad.net/bzr/+bug/457793
-
-TODO:
-=====
-
-- make sure .moved files can't be committed !
-
-- tests with '.diverted' files ?
-
-Overall presentation:
-=====================
-
-Providing the ``--interactive`` option to ``bzr resolve`` will
-display a short explanation of the conflict and propose some
-actions before marking the file as resolved.
-
-
-Design:
-=======
-
-The Conflict classes will receive additional methods to resolve
-the conflict in alternative ways.
-
-Resolve will receive a ``--interactive`` option and present a
-list of possible actions (including do nothing) to the user
-before marking the file as resolved.
-
-The --all and file* parameters will still be honored so that the
-user can solve conflicts at his own pace.
-
-It should be possible for a GUI to query the conflict objects for
-possible actions (in textual form) and trigger them.
-
-
-Proposed actions by conflict type:
-==================================
-
-The following paragraphs list all the existing conflict types and summarize:
-- the actions that can be proposed to the user,
-- the cleanups that could remain to be done once the conflict is solved,
-
-In practice, the actions will always contain:
-- leave the user solve the conflict by its own means,
-- mark the conflict as solved without any additional action.
-

=== modified file 'NEWS'
--- NEWS	2009-12-25 17:27:23 +0000
+++ NEWS	2009-12-29 08:42:31 +0000
@@ -17,6 +17,11 @@
 New Features
 ************
 
+* Tree-shape conflicts can be resolved by providing ``--keep-mine`` and
+  ``--take-their`` to the ``bzr resolve`` command. Just marking the conflict
+  as resolved is still accessible via the ``--done`` default action.
+  (Vincent Ladeuil, #257297, #232512)
+
 Bug Fixes
 *********
 

=== modified file 'bzrlib/conflicts.py'
--- bzrlib/conflicts.py	2009-12-25 17:27:23 +0000
+++ bzrlib/conflicts.py	2009-12-29 08:42:31 +0000
@@ -127,6 +127,11 @@
             tree, file_list = builtins.tree_files(file_list)
             if file_list is None:
                 if action is None:
+                    # FIXME: There is a special case here related to the option
+                    # handling that could be clearer and easier to discover by
+                    # providing an --auto action (bug #344013 and #383396) and
+                    # make it mandatory instead of implicit and active only
+                    # when no file_list is provided -- vila 091229
                     action = 'auto'
             else:
                 if action is None:
@@ -145,7 +150,7 @@
                     return 0
             else:
                 # FIXME: This can never occur but the block above needs some
-                # refactoring so transfer tree.auto_resolve() to
+                # refactoring to transfer tree.auto_resolve() to
                 # conflict.auto(tree) --vila 091242
                 pass
         else:
@@ -339,7 +344,7 @@
 class Conflict(object):
     """Base class for all types of conflict"""
 
-    # FIXME: cleanup should take care of that
+    # FIXME: cleanup should take care of that ? -- vila 091229
     has_files = False
 
     def __init__(self, path, file_id=None):

=== modified file 'bzrlib/help_topics/en/conflicts.txt'
--- bzrlib/help_topics/en/conflicts.txt	2009-12-24 11:32:30 +0000
+++ bzrlib/help_topics/en/conflicts.txt	2009-12-29 08:42:31 +0000
@@ -360,6 +360,8 @@
 
 Bazaar cannot auto-detect when conflicts of this kind have been resolved.
 .. FIXME: Arguably .OTHER should be used instead of .new.
+.. FIXME: If .new doesn't exist anymore, --auto may consider
+marking the conflict resolved.
 
 MalformedTransform
 ------------------

